Bug 657769 - [abrt] exaile-0.3.2.0-2.fc14: playlists.py:1042:button_press:TypeError: 'NoneType' object is not iterable
Summary: [abrt] exaile-0.3.2.0-2.fc14: playlists.py:1042:button_press:TypeError: 'None...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 14
Hardware: i686
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:16f2f6b2
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-27 19:02 UTC by ola.polak
Modified: 2011-03-28 19:33 UTC (History)
2 users (show)

Fixed In Version: exaile-0.3.2.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-28 19:33:32 UTC


Attachments (Terms of Use)
File: backtrace (789 bytes, text/plain)
2010-11-27 19:02 UTC, ola.polak
no flags Details

Description ola.polak 2010-11-27 19:02:47 UTC
abrt version: 1.1.14
architecture: i686
cmdline: python /usr/lib/python2.7/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.7/site-packages/exaile/exaile.py
kernel: 2.6.35.6-48.fc14.i686
package: exaile-0.3.2.0-2.fc14
reason: playlists.py:1042:button_press:TypeError: 'NoneType' object is not iterable
release: Fedora release 14 (Laughlin)
time: 1290884537
uid: 500

backtrace
-----
playlists.py:1042:button_press:TypeError: 'NoneType' object is not iterable

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/guiutil.py", line 428, in on_button_press
    return self.container.button_press(button, event)
  File "/usr/lib/python2.7/site-packages/exaile/xlgui/panel/playlists.py", line 1042, in button_press
    (path, position) = self.tree.get_dest_row_at_pos(int(event.x), int(event.y))
TypeError: 'NoneType' object is not iterable

Local variables in innermost frame:
button: <PlaylistDragTreeView object at 0x942e84c (GtkTreeView at 0x9558788)>
event: <gtk.gdk.Event at 0x9417b00: GDK_BUTTON_PRESS x=46.00, y=94.00, button=3>
self: <PlaylistsPanel object at 0x942e89c (xlgui+panel+playlists+BasePlaylistPanelMixin at 0x94c0510)>

How to reproduce
-----
1.Run Exaile...
2.
3.

Comment 1 ola.polak 2010-11-27 19:02:50 UTC
Created attachment 463264 [details]
File: backtrace

Comment 2 Benjamin D. 2010-12-20 11:56:02 UTC
Package: exaile-0.3.2.0-2.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Play a song in exaile
2.Packet crash is reported
3. Quality of song is horrible! (especially the voice and higher frequencies are hardly hearable)

Comment 3 Fedora Update System 2011-03-04 15:40:50 UTC
Package exaile-0.3.2.1-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 updates-testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing exaile-0.3.2.1-1.fc14'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2011-03-05 02:45:28 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/exaile-0.3.2.1-1.fc14

Comment 5 Fedora Update System 2011-03-28 19:30:52 UTC
exaile-0.3.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.